Bug 782347 - Keyboard disabled during boot
Summary: Keyboard disabled during boot
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-17 08:26 UTC by Dave P
Modified: 2018-07-12 22:26 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 10:05:05 UTC
Type: ---


Attachments (Terms of Use)
grub.cfg (2.72 KB, application/octet-stream)
2012-06-05 12:07 UTC, Jonathan
no flags Details
lsusb -v (14.73 KB, text/plain)
2012-06-05 20:16 UTC, Jonathan
no flags Details
dmesg (34.55 KB, text/plain)
2012-06-05 20:17 UTC, Jonathan
no flags Details
diffs between first kernel from anaconda and upgraded kernel (14.65 KB, text/plain)
2015-10-30 16:15 UTC, ilmostro7
ilmostro7: review?
Details

Description Dave P 2012-01-17 08:26:06 UTC
Description of problem: When booting I'm offered the option of selecting which kernel to use. At this stage in boot, my keyboard is not enabled. This could mean lockout if a new kernel fails to work. 


Version-Release number of selected component (if applicable): Not known


How reproducible:


Steps to Reproduce:
1. boot
2.  When prompted, try to use down arrow to select a different kernel
3.  -
  
Actual results:
   No keyboard keys are active

Expected results:
  Selected kernel moves up/down with keyboard action

Additional info:
  I suspect it could be finger trouble or a setting, since surely this
would be noticed by others?

Comment 1 Martin Sivák 2012-01-17 14:17:45 UTC
As anaconda is not even running at that moment, I am passing this to grub team.

Comment 2 Brian Lane 2012-01-19 19:02:50 UTC
What kind of hardware are you booting? What install media are you using? What kind of keyboard are you using? (eg. USB or PS/2)

I've seen this happen a few times when booting EFI with an Apple USB keyboard. Power cycling the system has always fixed it though.

Comment 3 Dave P 2012-01-19 19:09:29 UTC
'Ordinary' Intel dual cpu hardware.
Installed from DVD.
Keyboard is usb.

HTH

Comment 4 Mads Kiilerich 2012-04-16 23:10:56 UTC
Can you navigate the BIOS configuration menus with this keyboard?

Comment 5 Dave P 2012-04-17 07:00:38 UTC
Yes, no problem. Del key interrupts the boot, nav keys move around the menu.

HTH

Comment 6 Mads Kiilerich 2012-04-17 10:21:39 UTC
Do the keyboard work in boot menus from live CDs (that uses syslinux)? Both f16 and/or f17 beta?

Comment 7 Dave P 2012-04-17 10:49:38 UTC
I don't have a live CD to try, sorry.
Anything else I can try?

Comment 8 Mads Kiilerich 2012-04-17 12:48:49 UTC
(In reply to comment #7)
> I don't have a live CD to try, sorry.

You said in comment 3 that you had a install dvd.

> Anything else I can try?

Nobody else have reported such problems. You will have to do some systematic testing to narrow down what the problem might be.

You can also try to swap keyboard and/or harddrive with another PC and see if the problem is the installation or the bios or the keyboard.

Comment 9 Dave P 2012-04-17 12:57:19 UTC
Yes, I have a DVD drive, but not a live CD.

This keyboard has been in place through last couple of Fedora updates,
no issue. Ditto the bios?

I'll try another keyboard, see if that makes a difference.

Dave

Comment 10 Nikolai Maziashvili 2012-05-15 10:07:19 UTC
This bug is also present in F17. I can't use my laptop, or any other usb, keyboard to acces bios or edit/navigate grub menu. Right after that stage keyboard is functional again.

Comment 11 Mads Kiilerich 2012-05-15 11:17:28 UTC
(In reply to comment #10)
> This bug is also present in F17. I can't use my laptop, or any other usb,
> keyboard to acces bios or edit/navigate grub menu. Right after that stage
> keyboard is functional again.

If you can't use your keyboard in your bios then your hardware is incompatible. The Linux kernel has workarounds for much broken hardware, so once the kernel is up and running it might work. The bootloader do however rely on correctly working low level functionality.

Comment 12 Jonathan 2012-06-05 11:17:08 UTC
I have this bug as well.

It is probably a regression as the keyboard has worked in grub2 menu earlier.

The problem: USB keyboard does not work in grub2 menu.
It was noticed during preupgrade from F16 to F17.
I have tried two different USB keyboards and they both behave exactly the same.

1: The keyboards work in BIOS.
2: The keyboards don't work in grub2.
3: The keyboards work when prompted for luks password in the boot process.
4: The keyboards work when system is fully booted in Gnome.

I found descriptions of this problem in forums and tried suggested solutions that did not work for me.

What I tried that did not work:
1. Remove all other USB devices.
2. Switch USB socket to sockets controlled by other USB hubs.
3. Do a cold reboot.
4. Enter and exit BIOS before.

As I have recent experience of grub menu, (grub2 broke in a different way on another preupgraded system), I was able to hack around this problem temporarily but this would be very difficult for someone that have not recently experienced a grub2 failure.

Comment 13 Mads Kiilerich 2012-06-05 11:36:42 UTC
(In reply to comment #12)
> I have this bug as well.

Which grub2 version?

> As I have recent experience of grub menu, (grub2 broke in a different way on
> another preupgraded system), I was able to hack around this problem

How?

Please try with the unofficial beta6 scratch build on http://koji.fedoraproject.org/koji/taskinfo?taskID=4121699 - do both grub2-install and grub2-config after installing.

Comment 14 Jonathan 2012-06-05 12:05:57 UTC
Preupgrade has now finished with success and the system is F17.

USB beyboards still don't work in grub2.

Present grub versions are:
grub-efi.x86_64  1:0.97-93.fc17 
grub2.x86_64     1:2.0-0.25.beta4.fc17
grubby.x86_64    8.12-1.fc17

What I did to get the system to go into upgrade in grub2 without kayboard was edit /boot/grub2/grub.cfg to set default entry to the desired item.

Posting present grub.cfg and will try your suggestion soon.

Comment 15 Jonathan 2012-06-05 12:07:13 UTC
Created attachment 589511 [details]
grub.cfg

Comment 16 Jonathan 2012-06-05 18:29:46 UTC
Ok, I've installed and tested "beta6" from koji. Since I did not find any grub2-config, I assumed you meant grub2-mkconfig. The system booted as before, with a title menu GRUB 2.0 beta 6.

Keyboard was as before, working in bios, not in grub, and again working for the luks password prompt.

The USB sockets are integrated on a "normal" previous generation motherboard from Gigabyte, socket LGA775 and keyboards are generic USB.

The system is not a "fresh" install but has been preupgraded twice but I don't see how that would cause this.

Please let me know what more information about the system that can help you.

Comment 17 Mads Kiilerich 2012-06-05 18:38:32 UTC
I guess the output of 
lsusb -t
lsusb -v
dmesg
could give a hint about what kind of usb hardware it is that grub can't handle.

Comment 18 Jonathan 2012-06-05 20:15:16 UTC
$ lsusb -t
/:  Bus 08.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/:  Bus 07.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/:  Bus 06.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/:  Bus 05.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/:  Bus 04.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/:  Bus 03.Port 1: Dev 1, Class=root_hub, Driver=uhci_hcd/2p, 12M
/:  Bus 02.Port 1: Dev 1, Class=root_hub, Driver=ehci_hcd/6p, 480M
/:  Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci_hcd/6p, 480M

Comment 19 Jonathan 2012-06-05 20:16:32 UTC
Created attachment 589632 [details]
lsusb -v

Comment 20 Jonathan 2012-06-05 20:17:20 UTC
Created attachment 589633 [details]
dmesg

Comment 21 Mads Kiilerich 2012-06-05 23:25:57 UTC
You can try with
GRUB_TERMINAL_INPUT=at_keyboard
or
GRUB_TERMINAL_INPUT=usb_keyboard
in /etc/default/grub and generate new grub.cfg and see if that works better.

Comment 22 Stan King 2012-06-06 05:20:54 UTC
I have a similar problem with a Dell Optiplex GX270 Pentium-based system from the 2004/2005 time frame.

Setting USB emulation to ON or NOBOOT in the BIOS will allow grub2 to use the keyboard to choose a boot selection.  However, with USB emulation set to OFF, grub2 does not process keyboard input, even though the keyboard works OK after booting into Fedora 17.

Let me know if you would like me to perform more tests, or if you'd like more information about this system.

Comment 23 Mads Kiilerich 2012-06-06 09:19:18 UTC
(In reply to comment #22)

You can try the settings from comment 21.

Upstream has no idea what the problem might be and can thus not fix it. I guess fixing it requires physical access to a machine/keyboard with the problem.

Comment 24 Dave P 2012-06-21 08:37:41 UTC
Further detail.
  I upgraded my computer.
Using same motherboard (Asus P5Q pro), with a usb keyboard (microsoft)
the keyboard works in bios, fails during boot - grub. 
 Stops me booting using the CD?

changed from usb keyboard to (???? - the round older ones? PS2?)
and it works. 

To me that seems a combination of hardware and the usb software?

HTH DaveP

Comment 25 Mads Kiilerich 2012-06-21 08:42:14 UTC
(In reply to comment #24)
> Stops me booting using the CD?

Is that using grub2? Please attach a photo.

Comment 26 Dave P 2012-06-21 08:52:49 UTC
Booting from fc16 on disk...I don't know if that is grub2?

Photo as in screenshot? Not possible?
I'll try and take a photo and mail it, but I need to get this machine
set up first.

Dave

Comment 27 Mark 2012-11-19 19:38:15 UTC
I had the same issue with a Logitech K120 keyboard and grub2. Changing USB legacy Support to Enabled in the bios fixed the problem. USB Boot delay is 0s.

Comment 28 Fedora End Of Life 2013-01-16 16:58:52 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 29 Steve 2013-02-13 14:24:44 UTC
I just encountered this with a laptop computer (an Asus Aspire 5532) after using preupgrade to move from FC16 to FC17.  Could the original poster please change this bug's Fedora version to 17?

Comment 30 Fedora End Of Life 2013-02-13 21:14:17 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 31 Dave P 2013-02-14 08:04:30 UTC
message

--- Comment #29 from Steve <ulatekh@yahoo.com> ---
I just encountered this with a laptop computer (an Asus Aspire 5532) after
using preupgrade to move from FC16 to FC17.  Could the original poster please
change this bug's Fedora version to 17?

Updated to F17

Comment 32 Jonathan Kamens 2014-09-17 11:45:51 UTC
Still broken in Fedora 20. Reopening.

Comment 33 Jonathan Kamens 2014-09-17 12:07:02 UTC
Two notes:

1) GRUB_TERMINAL_INPUT=usb_keyboard in /etc/default/grub followed by grub2-mkconfig doesn't help, at least for me.

2) I was able to find a workaround -- enabling legacy USB support in my BIOS -- but unfortunately doing this causes my system to hang at reboot when my USB-enabled UPS is plugged in, so apparently I get to choose between being able to monitor my UPS and being able to use my keyboard during boot.

It should not be necessary to enable legacy USB support in my BIOS for grub2 to be able to detect and use my keyboard.

Comment 34 Bruce Bigby 2014-09-24 03:06:10 UTC
I've also run into keyboard problems after updating my Fedora 20 box. When I attempt to enter the luks password on boot, the dialog does not accept keyboard input.  I have a USB Roccat MK Pro keyboard.  Kernel 3.12.10-300.fc20.x86_64 works fine for me, but when I try any kernel beyond that, the keyboard does not work.  What's weird is that the extra mouse buttons on my Logitech G600 send input to the luks password dialog.

Here are some related bug ID's:

https://bugzilla.redhat.com/show_bug.cgi?id=969550
https://bugzilla.redhat.com/show_bug.cgi?id=1098826

I have no idea how to fix this.  I don't want to have to scrub my setup.  :-(

Comment 35 Bruce Bigby 2014-11-01 16:26:08 UTC
I finally found information on how to fix this problem.  I found the following extremely helpful link:

http://forums.fedoraforum.org/archive/index.php/t-298745.html

I basically had to rebuild the initramfs for the latest kernel on my Fedora 20 box so that it included the keyboard driver for my Roccat Ryos MK Pro keyboard. Here were my steps:

1. Create the file /etc/dracut.conf.d/hid-roccat-ryos.conf and add the contents,

   add_drivers+="hid-roccat-ryos.ko"

   which is the driver for my keyboard.

2. Rename the initramfs for the relevant kernel in case we need it later.  I chose the latest kernel that was present on my system where the keyboard would not work.

   cd /boot
   mv initramfs-<version>.img initramfs-<version>.img.ORG

3. Build a NEW initramfs for the kernel.  Note: My first attempts at building revealed that I mkinitrd could not find some commands so I had to install these packages: busybox and nbd.  If you see any command fail during the build, just install the missing package, and repeat until you don't see any commands fail.  

   cd /boot
   mkinitrd -f /boot/initramfs-<version>.img.NEW <version>

After doing this, I was able to enter my LUKS disk encryption password and boot the latest kernel (3.16.6-203.fc20.x86_64) at the time.

Note: The poster of the URL that I gave, above, created a symbolic link for the new initramfs.  When I tried to boot, Grub didn't like it.  It said that it couldn't find the initramfs for the kernel.  I made the path a real file and all was well.

Comment 36 Fedora End Of Life 2015-05-29 08:42:16 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 37 Fedora End Of Life 2015-06-29 11:37:53 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 38 Jonathan Kamens 2015-07-12 14:46:12 UTC
In Fedora 22, I am still unable to use my keyboard in grub unless I enable legacy USB support in my BIOS. Reopening.

Comment 39 ilmostro7 2015-10-30 15:25:16 UTC
This issue occurs on a Fedora22 with LUKS and a USB-powered "wireless" keyboard on a Desktop.  As per a Bug report on Launchpad, this might be due to a module missing during Kernel/initramfs compilation; namely, "ohci_pci" module.  I can track some form of this bug back to earlier versions of Fedora with other Bug reports here.  Every time it gets closed as "End of Life" and/or "WONTFIX".  What, if anything, is being done about this to make it a more permanent solution during installation.  

This latest occurrence on my Desktop is during/after a fresh installation of the Fedora-Live-Design_suite-x86_64-22-3.iso from getfedora.org.

"Nobody else reported" this...?

https://bugzilla.redhat.com/show_bug.cgi?id=1211309

https://bugzilla.redhat.com/show_bug.cgi?id=784277

https://bugzilla.redhat.com/show_bug.cgi?id=867693

You get the idea.

Comment 40 ilmostro7 2015-10-30 15:29:03 UTC
Here's the "Launchpad" bug report I referenced in previous post: 

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1241505

Comment 41 ilmostro7 2015-10-30 16:13:26 UTC
I got around this problem by plugging in a "ye olde time" keyboard (no idea what the connection is called :/ ).  After doing a kernel upgrade and grub2-mkconfig... and reboot, the system recognized the USB keyboard with no problems! 

I'll add the Kernel-config-diffs as an attachment for reference.

Comment 42 ilmostro7 2015-10-30 16:15:21 UTC
Created attachment 1087978 [details]
diffs between first kernel from anaconda and upgraded kernel

Comment 43 Fedora End Of Life 2016-07-19 10:05:05 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 44 rosemont 2018-07-12 22:26:40 UTC
This happened to me on FC27.


Note You need to log in before you can comment on or make changes to this bug.